<template>
    <my-table url="/api/v1/logger/login" rowKey="logId" ref="table">
        <template #search="{query}">
            <a-form-model-item label="登录IP">
                <a-input v-model="query.loginIp" />
            </a-form-model-item>
        </template>
        <a-table-column title="登录用户" data-index="userName" />
        <a-table-column title="登录IP" data-index="loginIp" />
        <a-table-column title="事件类型" data-index="loginTypeName" />
        <a-table-column title="事件状态" data-index="isSuccessName" />
        <a-table-column title="登录时间" data-index="loginTime" />
        <a-table-column title="说明" data-index="logResultContent" />
    </my-table>
</template>

<script>
export default {
    data() {
        return {};
    },
    methods: {
        refreshTable() {
            this.$refs.table.getData();
        },
        showDrawer(type, noFooter) {
            this.$refs['table'].show({ type, noFooter });
        },
    },
};
</script>
